## jrobots.simulation.simulationObjects
Enum Pilot.DropperCommand

    java.lang.Object
      java.lang.Enum<Pilot.DropperCommand>
          jrobots.simulation.simulationObjects.Pilot.DropperCommand

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Pilot.DropperCommand>

Enclosing class:
  Pilot

    protected static enum Pilot.DropperCommand

extends java.lang.Enum<Pilot.DropperCommand>

Enum Constant Summary
`DOUBLE_TRAP`
`MINE`
`NOTHING`
`TANK_TRAP`
`TRIPLE_TRAP`

Method Summary
`static Pilot.DropperCommand` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Pilot.DropperCommand[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DOUBLE_TRAP

    public static final Pilot.DropperCommand DOUBLE_TRAP

### MINE

    public static final Pilot.DropperCommand MINE

### NOTHING

    public static final Pilot.DropperCommand NOTHING

### TANK_TRAP

    public static final Pilot.DropperCommand TANK_TRAP

### TRIPLE_TRAP

    public static final Pilot.DropperCommand TRIPLE_TRAP

Method Detail

### valueOf

    public static Pilot.DropperCommand valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### values

    public static Pilot.DropperCommand[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Pilot.DropperCommand c : Pilot.DropperCommand.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared